Bug 1480566 - Arf-report has name parameter which should be removed
Arf-report has name parameter which should be removed
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Beta
: --
Assigned To: satellite6-bugs
Sanket Jagtap
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 08:04 EDT by Sanket Jagtap
Modified: 2018-06-19 05:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: hammer_cli_foreman_openscap 0.1.5
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20601 None None None 2017-08-15 02:21 EDT

  None (edit)
Description Sanket Jagtap 2017-08-11 08:04:18 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Satellite 6.3.0 snap 10

How reproducible:
Always

Steps to Reproduce:
1. arf-report has name parameter which should be removed


Actual results:
hammer> arf-report delete --help
Usage:
     arf-report delete [OPTIONS]

Options:
 --id ID                        
 --name NAME                   Name to search by
 -h, --help                    print help


Expected results:
hammer> arf-report delete --help
Usage:
     arf-report delete [OPTIONS]

Options:
 --id ID                        
 -h, --help                    print help

Additional info:
Comment 2 Brad Buckingham 2017-08-11 11:52:33 EDT
Is this a regression over 6.2?
Comment 3 Ondřej Pražák 2017-08-15 02:21:05 EDT
Created redmine issue http://projects.theforeman.org/issues/20601 from this bug
Comment 4 Ondřej Pražák 2017-08-15 02:23:15 EDT
There were no hammer commands in 6.2 for openscap.
Comment 5 pm-sat@redhat.com 2017-08-18 10:00:39 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20601 has been resolved.
Comment 6 Sanket Jagtap 2018-06-19 05:22:09 EDT
Build: Satellite 6.4.0 snap8 



hammer> arf-report delete --help
Usage:
     arf-report delete [OPTIONS]

Options:
 --id ID                            
 --location LOCATION_NAME          Name to search by
 --location-id LOCATION_ID          
 --organization ORGANIZATION_NAME  Name to search by
 --organization-id ORGANIZATION_ID Organization ID
 -h, --help                        Print help


we no longer have name as a parameter to delete the arf-report

Note You need to log in before you can comment on or make changes to this bug.